package com.realnet.note.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.note.Entity.Note;
import com.realnet.note.Services.NoteService ;






@RequestMapping(value = "/Note")
 @CrossOrigin("*") 
@RestController
public class NoteController {
	@Autowired
	private NoteService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Note")
		  public Note Savedata(@RequestBody Note data) {
		Note save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Note/{id}")
	public  Note update(@RequestBody Note data,@PathVariable Integer id ) {
		Note update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Note/getall/page")
	public Page<Note> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Note> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Note")
	public List<Note> getdetails() {
		 List<Note> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Note")
	public List<Note> getallwioutsec() {
		 List<Note> get = Service.getdetails();		
		return get;
}
@GetMapping("/Note/{id}")
	public  Note  getdetailsbyId(@PathVariable Integer id ) {
		Note  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Note/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}